## iceape 1.0.8

=== security/nss/pkg/linux/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile,v 1.15.2.2 2006/12/06 21:04:21 christophe.ravel.bugs%sun.com Exp $"
#

CORE_DEPTH = ../../..

NAME        = sun-nss
ifndef RPM_RELEASE
RPM_RELEASE = 1
endif
VERSION     = `grep NSS_VERSION $(CORE_DEPTH)/../dist/public/nss/nss.h \
		| head -1 \
		| sed -e 's/[^"]*"//' -e 's/".*//' -e 's/ .*//'`
PWD         = `pwd`
BUILDROOT   = $(PWD)\/$(NAME)-root

include $(CORE_DEPTH)/coreconf/config.mk

# Force i386 for non 64 bit build
ifneq ($(USE_64),1)
	RPMTARGET = "--target=i386"
	RPMLIBDIR = lib
else
	RPMLIBDIR = lib64
endif


publish:
	$(MAKE) clean
	mkdir -p SOURCES SRPMS RPMS BUILD
	mkdir -p opt/sun/private/$(RPMLIBDIR) 
	find $(CORE_DEPTH)/../dist/$(OBJDIR)/lib -type l \
		\( -name "*.so" -o -name "*.chk" \) \
	-exec cp {} opt/sun/private/$(RPMLIBDIR) \;
	rm -f opt/sun/private/$(RPMLIBDIR)/libnspr4.so \
	   opt/sun/private/$(RPMLIBDIR)/libplc4.so \
	   opt/sun/private/$(RPMLIBDIR)/libplds4.so \
	   opt/sun/private/$(RPMLIBDIR)/libjss*.so
	mkdir -p opt/sun/private/bin
	(cd $(CORE_DEPTH)/../dist/$(OBJDIR)/bin && tar cphf - \
		certutil cmsutil crlutil modutil pk12util signtool \
		signver ssltap addbuiltin ) | (cd opt/sun/private/bin && tar xvfBp -)
	(cd $(CORE_DEPTH)/../dist/public && tar cphf - .) \
		| (mkdir -p opt/sun/private/include && cd opt/sun/private/include && tar xvfBp -)
	rm -rf opt/sun/private/include/seccmd
	rm -rf opt/sun/private/include/dbm

	tar czvf $(NAME)-$(VERSION).tar.gz opt 
	echo "%define _topdir `pwd`" >temp.spec
	sed -e "s/NAME_REPLACE/$(NAME)/" \
		-e "s/VERSION_REPLACE/$(VERSION)/" \
		-e "s/RELEASE_REPLACE/$(RPM_RELEASE)/" \
	<$(NAME).spec >>temp.spec
	echo "" >>temp.spec
	echo "%files" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/$(RPMLIBDIR)" >>temp.spec
	echo "%dir /opt/sun/private/bin" >>temp.spec
	find opt \( -name "*.so" -o -name "*.chk" -o -type f \
		-perm u=rwx,g=rx,o=rx \) | sed -e "s-^-/-" >>temp.spec
	echo "" >>temp.spec
	echo "%files devel" >>temp.spec
	echo "%defattr(-,root,root)" >>temp.spec
	echo "%dir /opt" >>temp.spec
	echo "%dir /opt/sun" >>temp.spec
	echo "%dir /opt/sun/private" >>temp.spec
	echo "%dir /opt/sun/private/include" >>temp.spec
	echo "%dir /opt/sun/private/include/nss" >>temp.spec
	find opt -type f \( -name "*.h" \) \
		| sed -e "s-^-/-" >>temp.spec
	cp $(NAME)-$(VERSION).tar.gz SOURCES
	rpmbuild $(RPMTARGET) -bb temp.spec

clean::
	rm -rf SOURCES SRPMS RPMS BUILD
	rm -rf opt 
	rm -f temp.spec
	rm -f $(NAME)-$(VERSION).tar.gz

include $(CORE_DEPTH)/coreconf/rules.mk

## iceape 1.0.13~pre080614i

=== security/nss/lib/ckfw/capi/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.2 $ $Date: 2005/11/15 00:13:58 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk

EXTRA_LIBS = \
	$(DIST)/lib/$(LIB_PREFIX)nssckfw.$(LIB_SUFFIX) \
	$(DIST)/lib/$(LIB_PREFIX)nssb.$(LIB_SUFFIX) \
	$(NULL)

# can't do this in manifest.mn because OS_TARGET isn't defined there.
ifeq (,$(filter-out WIN%,$(OS_TARGET)))

ifdef NS_USE_GCC
EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
else 
EXTRA_SHARED_LIBS += \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plc4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)plds4.lib \
        $(NSPR_LIB_DIR)/$(NSPR31_LIB_PREFIX)nspr4.lib \
        crypt32.lib \
	advapi32.lib \
	rpcrt4.lib \
        $(NULL)
endif # NS_USE_GCC
else

EXTRA_LIBS += \
	-L$(NSPR_LIB_DIR) \
	-lplc4 \
	-lplds4 \
	-lnspr4 \
	$(NULL)
endif


include $(CORE_DEPTH)/coreconf/rules.mk

# Generate certdata.c.
generate:
	perl certdata.perl < certdata.txt

# This'll need some help from a build person.


ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.1)
DSO_LDOPTS              = -bM:SRE -bh:4 -bnoentry
EXTRA_DSO_LDOPTS        = -lc
MKSHLIB                 = xlC $(DSO_LDOPTS)

$(SHARED_LIBRARY): $(OBJS)
	@$(MAKE_OBJDIR)
	rm -f $@
	$(MKSHLIB) -o $@ $(OBJS) $(EXTRA_LIBS) $(EXTRA_DSO_LDOPTS)
	chmod +x $@

endif

ifeq ($(OS_TARGET)$(OS_RELEASE), AIX4.2)
LD      += -G
endif

## iceape 2.0.3

=== debian/changelog ===
iceape (2.0.3-3) unstable; urgency=low

  * debian/iceape-browser.preinst: Don't fail in preinst when /usr/lib/mozilla
    doesn't exist. Closes: #570397
  * debian/control: Don't allow different versions of iceape-browser,
    iceape-mailnews and iceape-dbg to be installed at the same time.
  * debian/patches/0045*: Move cleanup changes to match equivalent upstream
    changes on trunk.
  * debian/patches/0050*: (renamed) Force better nsAutoT{Ptr,}Array buffer
    alignment. This solves issues on sparc in a better way than the previous
    workaround that missed some other failure cases.
  * debian/patches/0057*: Fix xptcstubs on mipsel. The previous patch for mips
    broke it.
  * debian/patches/series: Updated accordingly.
  * debian/iceape-browser.install: Make extensions and plugins directories
    part of the package.

 -- Mike Hommey <glandium@debian.org>  Sun, 21 Feb 2010 09:26:23 +0100

iceape (2.0.3-2) unstable; urgency=low

  * debian/rules: Only do --list-missing when dh_install is called for only
    arch:all or any. Fixes FTBFS on buildds, which only build arch:any
    packages.

 -- Mike Hommey <glandium@debian.org>  Thu, 18 Feb 2010 13:44:50 +0100

iceape (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Fixes mfsa-2010-{01-05}, also known as
    CVE-2010-0159, CVE-2010-0160, CVE-2009-1571, CVE-2009-3988,
    CVE-2010-0162.

  * debian/patches/0028*: Also set homepage_override and releasenotesurl to
    point at mozilla.debian.net.
  * debian/patches/series: Add new patches, imported from xulrunner:
    + 0035*: Work around FTBFS on mips by disabling TLS support. bz#528687.
    + 0036*: Fix crash with SwitchProxy installed. bz#535990.
    + 0037*: Fix misalignments in --help command line. bz#458631.
    + 0038*: Fix misalignments in --help command line. bz#546296.
    + 0039*: Avoid creating the updates directory when update service is
      disabled. bz#538933.
    + 0040*: Avoid creating /usr/lib/mozilla/extensions 0700 when running as
      root. bz#538929.
    + 0041*: Don't remove build/automationutils.py on make clean. bz#525047.
    + 0042*: Avoid creating config/my{config,rules}.mk. bz#541767.
    + 0043*: Remove automation.py in make clean. bz#541768.
    + 0044*: Remove leaktest files in make clean. bz#541769.
    + 0045*: Remove generated files from js/src during make distclean.
      bz#541770.
    + 0046*: Cleanup idl-parser leftovers in make clean. bz#541774.
    + 0047*: Allow intl.locale.matchOS to be modified in user profile.
      bz#519468.
    + 0048*: Override intl.locale.matchOS if general.useragent.locale is set
      in user profile. This allows the Quick Locale Switcher extension to
      work. bz#542999.
    + 0049*: Avoid crashing when trying to kill a nsProcess that is already
      terminated. bz#543441.
    + 0050*: Work around alignment problems in nsUrlClassifierDBService on
      sparc. bz#448658.
    + 0051*: Fixes for misaligned accesses on sparc in uconv. bz#544512.
    + 0052*: Fix for padding of long long arguments on ppc xptcall.
      bz#520367.
    + 0053*: Fix xptcinvoke on ARM. bz#476903.
    + 0054*: Fixes for misaligned accesses on ARM in uconv. bz#544512.
    + 0055*: Avoid using -fshort-wchar in libmozjs.
    + 0056*: Fix stack alignment on function calls in JIT on ARM. bz#545747.
    + 0057*: Fix xptinvoke and xptstubs on mips o32 big endian.
    + 0058*: Don't show the SVG output option in the print dialog. bz#546093.
    + 0059*: Cleanup top directory during make distclean. bz#546642.
    + 0060*: Don't unnecessarily copy files in toolkit/library. bz#546664.

  * debian/iceape-runner, debian/iceape-browser.{install,links}, debian/rules:
    Allow iceape-runner not to hardcode the iceape base directory.
  * debian/branding/Makefile.in:
    + Use system install instead of nsinstall to install files in
      /usr/share/icons. Using nsinstall leads to the file being installed in
      a iceape.{png,svg} directory.
    + Create the /usr/share/icons/hicolor/*/apps before putting files there.
  * debian/rules:
    + Avoid bashism in call to dpkg-shlibdeps.
    + There is no bashism in debian/rules anymore.
    + Remove Debian revision from the User Agent string.
    + Avoid duplicating LDFLAGS during the build.
    + Don't export BUILD_OFFICIAL.
    + Remove suite/themes/classic/preview.png during cleanup.
  * debian/vendor.js: Don't trigger the debAbout component. Now we have a
    release notes link in about:, the debAbout generated links are pointless,
    especially since they create problems in the target web pages (e.g.
    unstyled BTS).
  * debian/rules, debian/iceape-browser.links, debian/iceape-browser.install,
    debian/about_debian.js: Remove the about_debian component, now that it is
    unused in iceape.
  * debian/rules, debian/iceape-browser.links, debian/iceape-browser.install,
    debian/homepagereset.js: Remove the homepagereset component. It was used
    to reset the homepage user settings if it were a very old value. Anyone
    using these old homepages should have had their homepage reset by now.
  * debian/control:
    + iceape-browser recommends libgnomeui-0.
    + Build-Conflict with libhildonmime-dev and libosso-dev.
    + Bump libcairo2-dev build dependency. Upstream decided once more to
      enforce runtime dependencies as build time *sigh*.
    + Bump Standards-Version to 3.8.4.0.
    + Suggest ttf-lyx | latex-xft-fonts (latex-xft-fonts is kept for stable)
    + Suggest libgssapi-krb5-2 | libkrb53 (libkrb53 is kept for stable)
    + Add ${misc:Depends} where missing.
  * debian/iceape-browser.preinst: Change permissions of /usr/lib/mozilla and
    /usr/lib/mozilla/extensions. As earlier versions of xulrunner could
    create these directories with the wrong permissions at runtime, we need
    to change their permissions if they exist.
  * debian/control, debian/compat, debian/rules: Switch to dh.
  * debian/rules, debian/no_pkg_files: Avoid installing files we don't want


=== debian/control ===
Source: iceape
Section: net
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: HJ Heins <hjheins@gmail.com>, Jaldhar H. Vyas <jaldhar@debian.org>, Mike Hommey <glandium@debian.org>, Alexander Sack <asac@debian.org>
Build-Depends: debhelper (>= 7.2.3),
               autotools-dev,
               libgtk2.0-dev,
               zip,
               libjpeg62-dev | libjpeg-dev,
               libpng12-dev,
               zlib1g-dev,
               libxft-dev,
               libfontconfig1-dev,
               libidl-dev,
               libxp-dev,
               libxt-dev,
               libxau-dev,
               libcairo2-dev (>= 1.8.8),
               libgnomevfs2-dev,
               libgnomeui-dev,
               dpkg-dev (>= 1.13.19), dpkg-dev (<= 1.14.7) | dpkg-dev (>= 1.14.11),
               imagemagick,
               librsvg2-bin,
               libhunspell-dev (>= 1.1.5-2),
               libnspr4-dev (>= 4.8),
               libnss3-dev (>= 3.12.3),
               libstartup-notification0-dev,
               libkrb5-dev,
               libdbus-glib-1-dev,
               libsqlite3-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libiw-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               python-ply
Build-Conflicts: libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.8.4.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceape.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceape.git

Package: iceape
Architecture: all
Section: web
Depends: iceape-browser, iceape-mailnews, ${misc:Depends}
Recommends: iceape-chatzilla
Conflicts: iceape-calendar (<< 2.0)
Description: The Iceape Internet Suite
 The Iceape Internet Suite is an unbranded Seamonkey Internet Suite suitable
 for free distribution. The Seamonkey Internet Suite is a set of Internet
 oriented applications. It is the continuity of the Mozilla Suite after it
 has been abandoned in favor of Firefox and Thunderbird.
 .
 The Iceape Internet Suite consists of:
  - an Internet browser (Iceape Navigator)
  - an HTML WYSIWYG editor (Iceape Composer)
  - a Mail and News client (Iceape Mail & Newsgroups)
  - an Address Book (Iceape Address Book)
  - an IRC client (Chatzilla)
  - a Calendar (Iceape Calendar) (not officially in the suite)
 .
 This is a metapackage that depends on the main components of this suite.
 It is here to ease upgrades, installations, and provide a consistent upgrade
 path from previous versions.
 .
 It can safely be removed with no ill effects.

Package: iceape-browser
Architecture: any
Section: web
Depends: ${shlibs:Depends}, dpkg (>= 1.14.17), libcairo2 (>= 1.8.8), ${misc:Depends}
Recommends: ${iceape:Recommends}, libgnomeui-0
Suggests: ttf-lyx | latex-xft-fonts, libgssapi-krb5-2 | libkrb53, iceape-mailnews, xul-ext-dom-inspector
Conflicts: iceape-dev-bin (= 1.1.14-1.1), iceape-mailnews (<< 2.0), iceape-chatzilla (<< 2.0), iceape-dom-inspector (<< 2.0), iceape-gnome-support
Replaces: iceape-gnome-support
Provides: www-browser
Description: Iceape Navigator (Internet browser) and Composer
 Iceape Navigator is a sophisticated graphical World-Wide-Web browser, with
 a large number of various browser features like support for HTML 4.0, CSS
 2, JavaScript, etc. It also features tabbed browsing, popup blocking, and
 many others options.
 .
 Iceape Composer is a WYSIWYG HTML editor that lets you modify arbitrary
 HTML pages. It provides dynamic image and table resizing, quick insert
 and delete of table cells, and supports CSS and positioned layers.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-dev
Architecture: all
Section: devel
Depends: xulrunner-dev, ${misc:Depends}
Conflicts: iceape-dev-bin
Description: Transition package to xulrunner-dev
 This package contains the header and idl files to develop components for
 Iceape. It is recommended that you use xulrunner-dev instead, when possible.

Package: iceape-dbg
Architecture: any
Priority: extra
Section: debug
Depends: iceape-browser (= ${binary:Version}) | iceape-mailnews (= ${binary:Version}), ${misc:Depends}
Conflicts: iceape-browser (<< ${binary:Version}), iceape-browser (>> ${binary:Version}),
           iceape-mailnews (<<  ${binary:Version}), iceape-mailnews (>> ${binary:Version})
Description: Debugging symbols for the Iceape Internet Suite
 This package provides the debugging symbols for the Iceape Internet Suite
 programs. Install this package if you need to debug such a program or if
 you need a useful backtrace of a crash.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-mailnews
Architecture: any
Section: mail
Depends: ${shlibs:Depends}, iceape-browser (= ${binary:Version}), ${misc:Depends}
Conflicts: iceape-browser (<< 2.0)
Provides: mail-reader, imap-client, news-reader
Description: Iceape Mail & Newsgroups and Address Book
 Iceape Mail & Newsgroups client supports NNTP Newsgroups and IMAP/POP Mail.
 It has a full variety of features such as multiple accounts, labels,
 adaptive junk mail control, S/MIME, digital signing.
 .
 Iceape Address Book adds address book management to the Iceape Mail &
 Newsgroups client. It supports LDAP, vCards...
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

Package: iceape-chatzilla
Architecture: all
Section: net
Depends: iceape-browser (>= ${source:Upstream-Version}), iceape-browser (<= ${source:Version}.1~), ${misc:Depends}
Description: Iceape Chatzilla IRC client
 Chatzilla is a full featured IRC client integrated with the Iceape
 Internet Suite. It is scriptable, and supports what most people would
 expect from an IRC client.
 .
 See the 'iceape' package for more information on the Iceape Internet Suite.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

CFLAGS := -g
MAIN_LDFLAGS := -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
	MAIN_LDFLAGS += -Wl,--no-relax
endif

ifeq ($(DEB_BUILD_ARCH),ppc64)
	CFLAGS += -mminimal-toc
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif

TMP_DIR  = $(CURDIR)/debian/tmp
APPLICATIONS_DIR = $(TMP_DIR)/usr/share/applications
DIST = $(CURDIR)/mozilla/dist
AUTOCONF_DIRS = mozilla/build/autoconf directory/c-sdk/config/autoconf mozilla/js/src/build/autoconf

override_dh_auto_configure:
	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^#/ i\exec "/usr/share/misc/'$$file'" "$$@"' $$dir/$$file; \
		done; \
	done

	MOZCONFIG=debian/mozconfig \
	ASFLAGS="-g" \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr $(CONFIGURE_FLAGS)
	mozilla/build/autoconf/make-makefile -t . debian/extra-stuff
	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' config/autoconf.mk mozilla/config/autoconf.mk mozilla/js/src/config/autoconf.mk directory/c-sdk/config/autoconf.mk

	#cp -f debian/localstart.html debian/README.Debian $(CURDIR)/xpfe/global/resources/content/
	#cp -f debian/mailstart.xhtml $(CURDIR)/mailnews/base/resources/content/start.xhtml

override_dh_auto_build:
	# icons
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-single.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-single.png

	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-single.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.gif \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-anim.png
	cp -f $(CURDIR)/debian/extras/Throbber-small.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-single.png

	cp -f $(CURDIR)/debian/extras/preview.png \
		$(CURDIR)/suite/themes/classic/preview.png

	# full build
	dh_auto_build
	$(MAKE) -C debian/extra-stuff

override_dh_auto_clean:
	rm -f build-stamp install-stamp MPL
	rm -f $(CURDIR)/suite/themes/classic/communicator/brand/throbber-anim.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-anim.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber-single.png \
		$(CURDIR)/suite/themes/classic/communicator/brand/throbber16-single.png
	rm -f $(CURDIR)/suite/themes/modern/communicator/brand/throbber-anim.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-anim.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber-single.png \
		$(CURDIR)/suite/themes/modern/communicator/brand/throbber16-single.png
	rm -f $(CURDIR)/suite/themes/classic/preview.png

	[ ! -f config/autoconf.mk ] || $(MAKE) -C debian/extra-stuff distclean
	dh_auto_clean

	for dir in $(AUTOCONF_DIRS); do \
		for file in config.guess config.sub; do \
			sed -i '2!b;/^exec "/d' $$dir/$$file; \
		done; \
	done

NO_PKG_FILES = \
	 $(shell $(MAKE) --no-print-directory -C suite/installer echo-variable-NO_PKG_FILES) \
	 $(shell sed /^\#/d debian/no_pkg_files)

override_dh_auto_install:
	$(MAKE) -C suite/installer packages
	cat debian/pkg_files >> suite/installer/packages
	dh_auto_install -- MOZ_PKG_REMOVALS= NO_PKG_FILES="$(NO_PKG_FILES)"
	$(MAKE) -C debian/branding install DESTDIR=$(TMP_DIR)

# Install nspr and nss links
	for lib in ssl3 softokn3 smime3 nss3 nspr4 plc4 plds4; do \
		[ -f /usr/lib/lib$$lib.so ] && libpath=/usr/lib; \
		[ -f /usr/lib/nss/lib$$lib.so ] && libpath=/usr/lib/nss; \
		ln -s $$libpath/$$(objdump -p $$libpath/lib$$lib.so | awk '/SONAME/{print $$2}') debian/tmp/usr/lib/iceape/lib$$lib.so; \
	done
	ln -s /usr/lib/nss/libnssckbi.so debian/tmp/usr/lib/iceape/

	install -d -m 755 $(TMP_DIR)/usr/share/pixmaps
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/main-window.png $(TMP_DIR)/usr/share/pixmaps/iceape.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/editorWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-composer.xpm
	install -m 644 $(TMP_DIR)/usr/lib/iceape/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome/icons/default/chatzilla-window.xpm $(TMP_DIR)/usr/share/pixmaps/chatzilla.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/addressbookWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-addressbook.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/messengerWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mailnews.xpm
	convert $(TMP_DIR)/usr/lib/iceape/chrome/icons/default/msgcomposeWindow.png $(TMP_DIR)/usr/share/pixmaps/iceape-mail-compose.xpm

	install -d -m 755 $(TMP_DIR)/usr/share/applications
	install -m 644 $(CURDIR)/debian/menu_dir/*.desktop $(TMP_DIR)/usr/share/applications

	install -m 644 $(CURDIR)/debian/extras/*.src $(CURDIR)/debian/extras/*.gif $(TMP_DIR)/usr/lib/iceape/searchplugins

	install -d -m 755 $(TMP_DIR)/usr/sbin
	install -m 755 $(CURDIR)/debian/iceape-runner $(TMP_DIR)/usr/lib/iceape/iceape

	install -m 644 $(DIST)/bin/.autoreg $(TMP_DIR)/usr/lib/iceape

	install -d -m 755 $(TMP_DIR)/etc/iceape/pref
	install -m 644 $(CURDIR)/debian/base.js $(TMP_DIR)/etc/iceape/pref
	install -m 644 $(CURDIR)/debian/iceaperc $(TMP_DIR)/etc/iceape

	install -m 644 $(CURDIR)/debian/vendor.js $(TMP_DIR)/usr/lib/iceape/defaults/pref

	cp -f mozilla/LICENSE MPL

override_dh_installdocs:
	dh_installdocs -A MPL

override_dh_install:
	dh_install $(if $(filter -i -a,$(DH_INTERNAL_OPTIONS)),--list-missing,--fail-missing)

override_dh_strip:
	dh_strip -a --dbg-package=iceape-dbg

override_dh_makeshlibs:

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(TMP_DIR)/usr/lib/iceape -Xlibmozgnome -Xlibnkgnomevfs -Xlibdbusservice
	LD_LIBRARY_PATH=$(TMP_DIR)/usr/lib/iceape dpkg-shlibdeps -Tdebian/iceape-browser.substvars -dRecommends -piceape $(foreach lib,dbusservice mozgnome nkgnomevfs,debian/iceape-browser/usr/lib/iceape/components/lib$(lib).so)

override_dh_bugfiles:
	dh_bugfiles -A

source: clean
	sh $(CURDIR)/debian/remove.nonfree
	tar -C .. -jcf ../`dpkg-parsechangelog | sed -n '/Source:/ N; s/Source: \(.*\)\nVersion: \(.*:\|\)\(.*\)-[0-9][0-9]*$$/\1_\3/ p'`.orig.tar.bz2 --exclude=`basename $(CURDIR)`/debian `basename $(CURDIR)`

debian/patches:
ifdef REVLIST
	rm -rf $@
	mkdir $@
	cd $@ && git format-patch -k -N $(REVLIST) > series
else
	@echo You must define the REVLIST variable to a git revisions list
endif

binary binary-arch binary-indep build clean install:
	dh $@

.PHONY: build clean binary-indep binary-arch binary install source debian/patches

=== debian/watch ===
version=3
opts=dversionmangle=s/^(\d\.[\d\.]+)\+dfsg$/$1/ \
http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/(\d\.[\d\.]+)/source/seamonkey-([\d\.]+).source\.tar\.bz2
